import gql from 'graphql-tag';


const GET_HIGHLIGHT_PRODUCTS_QUERY = gql`query getHighlightProducts(
        $collectionType: String,
        $pageSize: Int,
        $currentPage: Int,
        $order: String,
        $dir: String,
        $period: String
    ) {
    getHighlightProducts(
        collectionType: $collectionType,
        pageSize: $pageSize,
        currentPage: $currentPage,
        order: $order,
        dir: $dir,
        period: $period
    ) {
        total_count
        page_info {
            page_size
            current_page
            total_pages
        }
        items {
            id
            uid
            name
            sku
            type_id
            url_key
            url_suffix
            stock_status
            price {
                regularPrice{
                    amount {
                        value
                        currency
                    }
                }
            }
            price_range {
              maximum_price {
                regular_price {
                  value,
                  currency
                }
                discount {
                    amount_off
                }
              }
            }
            small_image {
               url
               label
            }
        }
    }
}`;


export default {
    queries: {
        getHighlightProductsQuery: GET_HIGHLIGHT_PRODUCTS_QUERY
    }
};
