import resourceUrl from '@magento/peregrine/lib/util/makeUrl';

const htmlDataset = document.querySelector('html').dataset;
const { imageOptimizingOrigin, mediaBackend } = htmlDataset;
const useBackendForImgs = imageOptimizingOrigin === 'backend';

// Tests if a URL begins with `http:` or `https:` or `data:`
const absoluteUrl = /^(data|http|https)?:/i;

export const useHighlightImg = (path, { ...opts } = {}) => {

    const isAbsolute = absoluteUrl.test(path);

    if (isAbsolute && !useBackendForImgs) {
        path = path.replace(mediaBackend, '');
    }

    return resourceUrl(
        path, {
            ...opts,
            type: 'image-highlight'
        }
    );
};